class AST::Binary
  attr_reader :operation, :left, :right

  def initialize(operation, left, right)
    @operation = operation
    @left = left
    @right = right
  end

  def ==(other)
    other.operation == @operation && other.left == @left &&
      other.right == @right
  end
end
